Bug 739209 - rb-site install failed with AttributeError: 'module' object has no attribute 'image_new_from_file'
Summary: rb-site install failed with AttributeError: 'module' object has no attribute ...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora EPEL
Classification: Fedora
Component: ReviewBoard
Version: el5
Hardware: x86_64
OS: Linux
unspecified
medium
Target Milestone: ---
Assignee: Stephen Gallagher
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-09-16 19:40 UTC by huawen.zhu
Modified: 2011-10-11 02:06 UTC (History)
1 user (show)

Fixed In Version: ReviewBoard-1.5.6-3.el5
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-10-11 02:06:18 UTC


Attachments (Terms of Use)

Description huawen.zhu 2011-09-16 19:40:59 UTC
Description of problem:

rb-site install failed with AttributeError: 'module' object has no attribute 'image_new_from_file' 

Version-Release number of selected component (if applicable):

ReviewBoard-1.5.6-2.el5 RPM for noarch 

How reproducible:

Steps to Reproduce:
1. On RedHat 5(Linux 2.6.18, Python 2.4), install ReviewBoard-1.5.6-2.el5 RPM for noarch 

2. rb-site install /var/www/mysite1 
Traceback (most recent call last): 
  File "/usr/bin/rb-site", line 7, in ? 
    sys.exit( 
  File "/usr/lib/python2.4/site-packages/reviewboard/cmdline/ 
rbsite.py", line 1674, in main 
    command.run() 
  File "/usr/lib/python2.4/site-packages/reviewboard/cmdline/ 
rbsite.py", line 1193, in run 
    self.print_introduction() 
  File "/usr/lib/python2.4/site-packages/reviewboard/cmdline/ 
rbsite.py", line 1260, in print_introduction 
    page = ui.page("Welcome to the Review Board site installation 
wizard") 
  File "/usr/lib/python2.4/site-packages/reviewboard/cmdline/ 
rbsite.py", line 875, in page 
    image = gtk.image_new_from_file(logo_file) 
AttributeError: 'module' object has no attribute 'image_new_from_file' 



2.
3.
  
Actual results:

AttributeError: 'module' object has no attribute 'image_new_from_file' 

Expected results:

No Error.

Additional info:

Comment 1 Stephen Gallagher 2011-09-23 14:17:56 UTC
The ReviewBoard rb-site GUI requires pygtk2 >= 2.12. RHEL 5 only supports 2.10.

I'm going to disable the GUI for RHEL 5 so that only the console version is supported. (If pygtk2 is updated to a compatible version in the future, I will remove this patch).

Comment 2 Fedora Update System 2011-09-23 14:37:34 UTC
ReviewBoard-1.5.6-3.el5 has been submitted as an update for Fedora EPEL 5.
https://admin.fedoraproject.org/updates/ReviewBoard-1.5.6-3.el5

Comment 3 Fedora Update System 2011-09-24 22:01:15 UTC
Package ReviewBoard-1.5.6-3.el5:
* should fix your issue,
* was pushed to the Fedora EPEL 5 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=epel-testing ReviewBoard-1.5.6-3.el5'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/ReviewBoard-1.5.6-3.el5
then log in and leave karma (feedback).

Comment 4 Fedora Update System 2011-10-11 02:06:18 UTC
ReviewBoard-1.5.6-3.el5 has been pushed to the Fedora EPEL 5 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.